Loading...
Searching...
No Matches
gsm48_pdp_address Struct Reference

`#include <gsm_04_08_gprs.h>`

## Data Fields

uint8_t | type
union { |
union { |
} etsi |
union { |
uint32_t v4 |
uint8_t v6 [16] |
} ietf |
}; |  |

## Field Documentation

## [union]

union { ... } gsm48_pdp_address

## [union]

union { ... } gsm48_pdp_address::etsi

## [union]

union { ... } gsm48_pdp_address::ietf

## type

uint8_t gsm48_pdp_address::type

Referenced by decode_pdp_address(), and encode_pdp_info().

## v4

uint32_t gsm48_pdp_address::v4

## v6

uint8_t gsm48_pdp_address::v6[16]

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_04_08_gprs.h